Skip to main content
POST
/
api
/
v2
/
destinations
/
projects
/
{projKey}
/
environments
/
{envKey}
/
generate-trust-policy
Generate trust policy
curl --request POST \
  --url https://app.launchdarkly.com/api/v2/destinations/projects/{projKey}/environments/{envKey}/generate-trust-policy \
  --header 'Authorization: <api-key>'
{
  "awsTrustPolicy": {
    "Version": "<string>",
    "Statement": [
      {
        "Effect": "<string>",
        "Action": [
          "<string>"
        ],
        "Principal": "<unknown>",
        "Condition": "<unknown>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projKey
string<string>
required

The project key

envKey
string<string>
required

The environment key

Response

Generate trust policy response

awsTrustPolicy
object

The AWS trust policy